<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'project_managers',

    /*
     * Package.
     */
    'package'   => 'project_manager',

    /*
     * Modules.
     */
    'modules'   => ['project', 'manager'],

    'project'       => [
        'model' => [
            'model' => \ProjectManagers\ProjectManager\Models\Project::class,
            'repository' => \ProjectManagers\ProjectManager\Repositories\Eloquent\ProjectRepository::class,
            'table' => 'projects',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'client_id',  'project_manager_id',  'status_id',  'name',  'path',  'language',  'domain',  'description',  'duration',  'deadline',  'created_at',  'modified_at',  ')',  '),',  'id),',  'client_id),',  'project_manager_id),'],
            'translatables' => [],
            'upload_folder' => 'project_manager/project',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'ProjectManagers',
            'package' => 'ProjectManager',
            'module' => 'Project',
        ],
    ],
    'manager'       => [
        'model' => [
            'model' => \ProjectManagers\ProjectManager\Models\Manager::class,
            'repository' => \ProjectManagers\ProjectManager\Repositories\Eloquent\ManagerRepository::class,
            'table' => 'managers',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'user_id',  'cv',  'nativity',  'seniority',  'created_at',  'modified_at',  ')',  '),',  'id),'],
            'translatables' => [],
            'upload_folder' => 'project_manager/manager',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'ProjectManagers',
            'package' => 'ProjectManager',
            'module' => 'Manager',
        ],
    ],
];
