<?php

namespace ProjectManagers\ProjectManager\Repositories\Eloquent\Presenters;

use Litepie\Repository\Presenter\Presenter;

class ManagerItemPresenter extends Presenter
{

    public function itemLink()
    {
        return guard_url('project_manager/manager') . '/' . $this->getRouteKey();
    }

    public function title()
    {
        if ($this->title != '') {
            return $this->title;
        }

        if ($this->name != '') {
            return $this->name;
        }

        return 'None';
    }

    public function toArray()
    {
        return [
            'id' => $this->getRouteKey(),
            'title' => $this->title(),
            'user_id' => $this->user_id,
            'cv' => $this->cv,
            'nativity' => $this->nativity,
            'seniority' => $this->seniority,
            'modified_at' => $this->modified_at,
            ')' => $this->),
            '),' => $this->),,
            'id),' => $this->id),,
            'created_at' => !is_null($this->created_at) ? $this->created_at->format('Y-m-d H:i:s') : null,
            'updated_at' => !is_null($this->updated_at) ? $this->updated_at->format('Y-m-d H:i:s') : null,
            'meta' => [
                'exists' => $this->exists(),
                'link' => $this->itemLink(),
                'upload_url' => $this->getUploadURL(''),
            ],
        ];
    }
}
